Bug 190195 - Missing asmc support for Macmini 3,1
Summary: Missing asmc support for Macmini 3,1
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.3-PRERELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gavin Atkinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-25 07:30 UTC by Trevor Roydhouse
Modified: 2015-07-08 17:37 UTC (History)
2 users (show)

See Also:
bugmeister: mfc-stable8?
bugmeister: mfc-stable9?
bugmeister: mfc-stable10?


Attachments
file.txt (902 bytes, text/plain)
2014-05-25 07:30 UTC, Trevor Roydhouse
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trevor Roydhouse 2014-05-25 07:30:00 UTC
The asmc module lacks details for the Macmini 3,1 hardware version.

Fix: See attached patches for asmc.c and asmcvar.h which have been running successfully on my system since FreeBSD 9.1-STABLE.

Patch attached with submission follows:
How-To-Repeat: kldload supplied asmc.ko
Comment 1 commit-hook freebsd_committer 2014-07-05 21:34:39 UTC
A commit references this bug:

Author: gavin
Date: Sat Jul  5 21:34:38 UTC 2014
New revision: 268303
URL: http://svnweb.freebsd.org/changeset/base/268303

Log:
  Add support to asmc(4) for Macmini 3,1.

  PR:		190195
  Submitted by:	fbsdbugs2 sentry.org
  MFC after:	1 week
  Relnotes:	yes

Changes:
  head/sys/dev/asmc/asmc.c
  head/sys/dev/asmc/asmcvar.h
Comment 2 Gavin Atkinson freebsd_committer freebsd_triage 2014-07-05 21:36:10 UTC
Thank you for your submission.  I have committed this to head, and will merge it to 10 and 9 in about a week.
Comment 3 Danilo Egea Gondolfo freebsd_committer 2014-07-05 23:26:57 UTC
Hey, I have a patch [1] to support MacBookPro5,5 (mid 2009), but I'm not sure about the keys. I've made it based on third part infos founded in the web. Maybe you'd like to test/revise it...

[1] - http://people.freebsd.org/~danilo/patches/kernel/asmc_macbookpro55.diff
Comment 4 Danilo Egea Gondolfo freebsd_committer 2014-07-05 23:28:55 UTC
The result:

$ sysctl dev.asmc
dev.asmc.0.%desc: Apple SMC MacBook Pro Core 2 Duo (Penryn)
dev.asmc.0.%driver: asmc
dev.asmc.0.%location: handle=\_SB_.PCI0.LPCB.SMC_
dev.asmc.0.%pnpinfo: _HID=APP0001 _UID=0
dev.asmc.0.%parent: acpi0
dev.asmc.0.fan.0.speed: 1997
dev.asmc.0.fan.0.minspeed: 2000
dev.asmc.0.fan.0.maxspeed: 6200
dev.asmc.0.fan.0.targetspeed: 2000
dev.asmc.0.temp.battery0: 33
dev.asmc.0.temp.battery1: 33
dev.asmc.0.temp.battery3: 30
dev.asmc.0.temp.battery4: 36
dev.asmc.0.temp.northbridge0: 52
dev.asmc.0.temp.northbridge1: 62
dev.asmc.0.temp.cpu: 66
dev.asmc.0.temp.cpu2: 56
dev.asmc.0.temp.topcase: 30
dev.asmc.0.temp.finstack: 57
dev.asmc.0.light.left: 10
dev.asmc.0.light.control: 0
dev.asmc.0.light.debug: 0
dev.asmc.0.sms.x: -8
dev.asmc.0.sms.y: 3
dev.asmc.0.sms.z: 256
dev.asmc.0.sms.debug: 0
Comment 5 commit-hook freebsd_committer 2014-09-03 23:29:09 UTC
A commit references this bug:

Author: gavin
Date: Wed Sep  3 23:29:01 UTC 2014
New revision: 271068
URL: http://svnweb.freebsd.org/changeset/base/271068

Log:
  Merge r268303 from head:

    Add support to asmc(4) for Macmini 3,1.

  PR:		190195
  Submitted by:	fbsdbugs2 sentry.org
  Relnotes:	yes

Changes:
_U  stable/9/sys/
_U  stable/9/sys/dev/
  stable/9/sys/dev/asmc/asmc.c
  stable/9/sys/dev/asmc/asmcvar.h
Comment 6 commit-hook freebsd_committer 2014-09-03 23:29:11 UTC
A commit references this bug:

Author: gavin
Date: Wed Sep  3 23:29:06 UTC 2014
New revision: 271069
URL: http://svnweb.freebsd.org/changeset/base/271069

Log:
  Merge r268303 from head:

    Add support to asmc(4) for Macmini 3,1.

  PR:		190195
  Submitted by:	fbsdbugs2 sentry.org
  Relnotes:	yes

Changes:
_U  stable/10/
  stable/10/sys/dev/asmc/asmc.c
  stable/10/sys/dev/asmc/asmcvar.h
Comment 7 Glen Barber freebsd_committer 2015-07-08 17:37:18 UTC
Close PRs that have a corresponding commit to resolve the issue.